/* color pallette */
:root {
	--accounts-dark-color: #4D6466;
	--accounts-medium-light-color: #B7D8D6;
	--accounts-medium-dark-color: #789E9E;
	--accounts-light-color: #EEF3DB;
	--accounts-highlight-color: #FE615A;
  }

* {
  	box-sizing: border-box;
  	font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
  	font-size: 16px;
  	-webkit-font-smoothing: antialiased;
  	-moz-osx-font-smoothing: grayscale;
}

/* change the hover color on pull-down menus */
.dropdown .dropdown-menu .dropdown-item:active, .dropdown .dropdown-menu .dropdown-item:hover{background-color: var(--accounts-light-color) !important;} 

/* set all buttons to color palette */
.btn-primary, .btn-primary:hover, .btn-primary:active, .btn-primary:visited {
	background-color: var(--accounts-dark-color) !important;
	border-color: var(--accounts-dark-color) !important;
}

.btn-primary:hover {
	background-color: var(--accounts-medium-dark-color) !important;
	text-decoration: none !important;
}

.btn-secondary, .btn-secondary:hover, .btn-secondary:active, .btn-secondary:visited {
	background-color: var(--accounts-highlight-color) !important;
	border-color: var(--accounts-highlight-color) !important;
}

.btn-secondary:hover {
	background-color: var(--accounts-medium-dark-color) !important;
	text-decoration: none !important;
}

.btn-outline-success, .btn-outline-success:hover, .btn-outline-success:active, .btn-outline-success:visited {
	color: white !important; 
	border-color: var(--accounts-medium-light-color) !important;
} 
.btn-outline-success:hover {
	background-color: var(--accounts-medium-dark-color) !important;
}

/* Heading color */
.heading-color {
	color: var(--accounts-dark-color) !important;
}

.card {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
	transition: 0.3s;
	border-radius: 5px; /* 5px rounded corners */
	background-color: var(--accounts-highlight-color) !important;
	border-color: var(--accounts-highlight-color) !important;
	color: white !important; 
  }

  /* styling for alerts on the main page */
#main_page_alert {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
	transition: 0.3s;
	border-radius: 5px; 
	background-color: var(--accounts-highlight-color) !important;
	border-color: var(--accounts-highlight-color) !important;
	color: white !important;
	width: 50%;
	margin: auto;
	margin-top: 120px;
  } 

/* body settings for login page */
body.login {
	background-color: var(--accounts-medium-dark-color);

	  margin-bottom: 60px; /* Margin bottom by footer height */
		height: 100%;
		padding-top: 150px;
		padding-bottom: 40px;
}
/* navbar CSS */
.navbar-custom {
		background-color: var(--accounts-dark-color);
}

#head-navbar {
    min-height: 20px;
    padding-top: 10px; 
  }
  
  .navbar .navbar-brand {
    padding-bottom: 24px;
  }

  .navbar-brand img {
	vertical-align: top;
	padding-top: 3px;
	display: inline-block;
  }

  .navbar-brand-text {
	padding-top: 0px;
  padding-left: 0px;
  display: block;
  color: white;
  position: absolute;
  text-align: left;
	
  }

/* footer CSS */
.footer {
	position: fixed;
	bottom: 0px;
	width: 100%;
	height: 60px; /* Set the fixed height of the footer here */
	line-height: 60px; /* Vertically center the text there */
	background-color: var(--accounts-light-color);
	padding: 0px 0px 0x 0px;
  }

  /* login box stuff */

  .form-signin {
	padding: 30px;
	margin: 100px auto;
	background-color: var(--accounts-light-color);
	box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
	width: 400px;	
	position: relative;
	top: 50px;
  }

/* Style form error messages */
.form_error_mess {
	color: var(--accounts-highlight-color);
	font-size: 16px;
	font-style: italic;
	height: 16px;
	margin-bottom: 20px;
}

  /* Style the input container */
 .form-signin-input-container {
	display: flex;
	width: 100%;
	margin-bottom: 0px;
   }
 
  /* Style the form icons for login */
.form-signin-icon {
	
	padding: 13px;
    font-size: 20px;
	width: 50px;
	height: 50px;
	background: var(--accounts-dark-color);
	color: white;
	  
  }
 
  /* Style the input fields */
.form-signin-input-field {
	width: 100%;
	padding: 10px;
	outline: none;
  }

  .form-signin-input-field:focus {
	border: 2px solid var(--accounts-dark-color);	
  }

  /* Style the sdignin button */
  #signin_button {
	  margin-top: 50px;
  }

  

/* CSS for a table */

table {
	
	padding-top: 10px;
	/* padding: 100px; 
	margin-left: 30px;
	margin-right: 30px; */
	/* margin: 100px auto; */
	/* width: 100px; */
	position: relative;
  }
  	
  .table-div {

	width: 80%;
	margin: auto;
	position: relative;
	
  }

  /* Form for a standard screen */

  .form-standard {
	padding: 30px;
	/* margin-left: 30px; */
	margin: 100px;
	margin-left: auto;
	margin-right: auto;
	/* width: 400px;	*/
	position: relative;
  }

  
.modal-backdrop {
	background-color: var(--accounts-light-color);
 }
 .modal-content {
	background-color: var(--accounts-medium-light-color);
 }

 /* Form for the member display screen */

 .container-display-investment {
	padding: 30px;
	/*margin-left: 30px; */
	margin: 100px;
	margin-left: auto;
	margin-right: auto;
	/* width: 100%;	*/
	position: relative;
	border-color: var(--accounts-highlight-color) !important;
  }

.investment-display-item-name {
	height: 30px;	
	vertical-align: middle;
	padding-top: 10px;
	padding-left: 25px;
}

.investment-display-item-name-p {
	font-weight: bold;
}
